Subject: bug#57981: 13.1.1; Evince synctex: env variables not inherited

From: Fabian Thomas <[email-masked]>
Date: Fri, 23 Sep 2022 13:38:40 +0200

Hi Tassilo,

> I cannot see how AUCTeX could do anything about that.  I think you
> somehow need to start a zsh which then launches dbus.  Or maybe the
> shell command "dbus-update-activation-environment --all" (maybe with
> --systemd) can help?  At least its docs suggest so.

That is exactly what I needed. Thank you.

> But how is the missing environment a problem?  Which environment
> variables does Evince need?

I have a linkhandler script for all http/https links in ~/.local/bin and
therefore I need PATH to be set correctly to trigger this linkhandler
instead of opening some random browser.

Thank you very much,
Fabian